Package ru.bitel.bgbilling.kernel.admin.mail.server.bean

# Class MailData

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.kernel.admin.mail.server.bean.MailData

All Implemented Interfaces:
  `ContractIdable`

public class MailData extends ContractId

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,jakarta.mail.internet.MimeBodyPart>`
  `map`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailData(String mailKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MailData`
  `addPart(String key, String disposition, String contentType, String fileName, byte[] content)`
  `MailData`
  `addTextPart(String key, String text)`
  `MailData`
  `addTextPart(String key, String text, String contentType)`
  `String`
  `getMailKey()`
  `jakarta.mail.internet.MimeBodyPart`
  `getMimeBodyPart(String key)`
  `int`
  `getModuleId()`
  `jakarta.mail.Multipart`
  `getMultipart()`
  `String`
  `getRecipients()`
  `String`
  `getSubject()`
  `MailData`
  `setContractId(int contractId)`
  `MailData`
  `setModuleId(int moduleId)`
  `MailData`
  `setMultipart(jakarta.mail.Multipart multipart)`
  `MailData`
  `setRecipients(String recipients)`
  `MailData`
  `setSubject(String subject)`
  `ru.bitel.bgbilling.kernel.admin.mail.common.dto.MailDto`
  `toMailDto()`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### map

    protected Map<String,jakarta.mail.internet.MimeBodyPart> map

- ## Constructor Details

  - ### MailData

    public MailData(String mailKey)

- ## Method Details

  - ### getMailKey

    public String getMailKey()

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public MailData setModuleId(int moduleId)

  - ### setContractId

    public MailData setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getRecipients

    public String getRecipients()

  - ### setRecipients

    public MailData setRecipients(String recipients)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public MailData setSubject(String subject)

  - ### getMultipart

    public jakarta.mail.Multipart getMultipart()

  - ### setMultipart

    public MailData setMultipart(jakarta.mail.Multipart multipart)

  - ### getMimeBodyPart

    public jakarta.mail.internet.MimeBodyPart getMimeBodyPart(String key)

  - ### addTextPart

    public MailData addTextPart(String key, String text) throws jakarta.mail.MessagingException
    Throws:
      `jakarta.mail.MessagingException`

  - ### addTextPart

    public MailData addTextPart(String key, String text, String contentType) throws jakarta.mail.MessagingException
    Throws:
      `jakarta.mail.MessagingException`

  - ### addPart

    public MailData addPart(String key, String disposition, String contentType, String fileName, byte[] content) throws jakarta.mail.MessagingException, UnsupportedEncodingException
    Parameters:
      `key` -
      `disposition` - null, inline, attachment
      `contentType` -
      `fileName` -
      `content` -
    Throws:
      `jakarta.mail.MessagingException`
      `UnsupportedEncodingException`

  - ### toMailDto

    public ru.bitel.bgbilling.kernel.admin.mail.common.dto.MailDto toMailDto()